#!/usr/bin/python
# -* coding: iso-8859-1 -*-
"""
**********************************************************************
File Name:             Test_GPIO_ARM11.py
Dev:                   Daniele De Santis
Email:                 desantis@areasx.com
Web:                   http://www.areasx.com

Versione:              0.0
Data:                  19/02/15
Note Hardware:  
Note Software: 
**********************************************************************
"""
import time
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BOARD) 
GPIO.setup(22, GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) RELE'
GPIO.setup(23, GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) Reset Modem
GPIO.setup(15, GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) Power Modem
GPIO.setup(12, GPIO.IN,  pull_up_down=GPIO.PUD_DOWN) #Linea (INPUT) Status Modem
GPIO.setup(16, GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) USB Power 
GPIO.setup(13, GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) Led Green
GPIO.setup(7,  GPIO.OUT, initial=GPIO.LOW)  #Linea (OUTPUT) watchdog

print "Test GPIO EzMOTO ARM 11"

#Controllo Modem Telit HE910
if (GPIO.input(12)==0): #Se il Modem  spento
  GPIO.output(15, True)  #Sequenza di START
  time.sleep(5.0)
  GPIO.output(15, False)
  print "Modem Acceso"

#Comando di reset del modem
GPIO.output(23, True)
time.sleep(1.0)
GPIO.output(23, False)
print "Modem Resettato"


#Controllo del rel 1A 30V 
GPIO.output(22, True)
print "Rele ON"
time.sleep(3.0)
GPIO.output(22, False)
print "Rele OFF"
  
#Abilitazione porta USB 
GPIO.output(16, True)

#Controllo del LED verde lato Ethernet
GPIO.output(13, True)
print "Led Verde ON"
time.sleep(5.0)
GPIO.output(13, False)
print "Led Verde OFF"

#Reset watchdog
GPIO.output(7, True)
time.sleep(0.1)
GPIO.output(7, False)

GPIO.cleanup()
